### Hierarchy

- ButtonProps

### Indexable

[key: string]: any

## Index

### Properties

- active
- children
- color
- disabled
- fullWidth
- onPress
- size
- styles
- testID

## Properties

### Optional active

active: undefined | false | true

- Defined in native/Button/Button.tsx:57

If true, shows active state of the button.

### Optional children

children: React.ReactNode

- Defined in native/Button/Button.tsx:30

### Optional color

color: "primary" | "secondary" | "link" | "default"

- Defined in native/Button/Button.tsx:33

### Optional disabled

disabled: undefined | false | true

- Defined in native/Button/Button.tsx:47

If true, renders a disabled button.

### Optional fullWidth

fullWidth: undefined | false | true

- Defined in native/Button/Button.tsx:52

If true, button is generated with 100% width of the container.

### Optional onPress

onPress: undefined | function

- Defined in native/Button/Button.tsx:42

Callback function fired when button is pressed.

### Optional size

size: "small" | "medium" | "large"

- Defined in native/Button/Button.tsx:62

The size of the button.

### Optional styles

styles: ButtonStyles

- Defined in native/Button/Button.tsx:67

Button Styles

### Optional testID

testID: undefined | string

- Defined in native/Button/Button.tsx:72

Used to locate this view in end-to-end tests.

Generated using TypeDoc